import React from "react";
import { BrowserRouter } from "react-router-dom";
import { StoreContext } from "redux-react-hook";
import { ErrorBar } from "./ErrorBar";
import { HiroGraph } from "./HiroGraph";
export const HiroAppRoot = ({ orm, children, store }) => (React.createElement(BrowserRouter, null,
    React.createElement(StoreContext.Provider, { value: store },
        orm ? React.createElement(HiroGraph, { orm: orm }, children) : children,
        React.createElement(ErrorBar, null))));
